MUTEX_UNLOCK(9)

NAME
mutex_unlock - release the mutex

SYNOPSIS

void __sched mutex_unlock(struct mutex * lock);

ARGUMENTS

lock
    the mutex to be released

DESCRIPTION

Unlock a mutex that has been locked by this task previously.

This function must not be used in interrupt context. Unlocking of a not locked mutex is not allowed.

This function is similar to (but not equivalent to) up.

AUTHOR

Rusty Russell <rusty@rustcorp.com.au>
    Author.

COPYRIGHT